Sie sind nicht angemeldet.

Lieber Besucher, herzlich willkommen bei: GentooForum.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

20.06.2010, 14:13

Adobe programme sind masket ok wozu dann diese ausgabe ? (verständinss frage)

Quellcode

1
2
3
4
5
6
The following installed packages are masked:
- www-plugins/adobe-flash-10.0.45.2 (masked by: AdobeFlash-10 license(s))
A copy of the 'AdobeFlash-10' license is located at '/usr/portage/licenses/AdobeFlash-10'.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Nach einem update heute bekam ich diese Meldung schön und gut das es Maskiert ist das FLash program.
Wozu schreibt mir das aber emerge dann hin ? ... wenn er das bei jedem Program machen würde wäre es ja pff mächtig sinnloss oder nicht ?

oder hab ich den sinn dahinter falsch verstanden !? sehe die ausgabe zum ersten mal

mfg
schatti
''''''''''''''''''''''''''''''''''''''''''''''''
Gentoo-Linux
der G-Punkt eines Pc´s

''''''''''''''''''''''''''''''''''''''''''''''''

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »Schattenschlag« (24.06.2010, 17:08)


2

20.06.2010, 15:48

Ich wollte vorgestern Flash installieren und da bekam ich die gleiche Meldung. Dann hab ich mal "man emerge" eingegeben und nachgesehen, was da zu den maskierten Paketen stand. So kam ich drauf, dass ich Portage erst sagen muss, dass er Pakete mit der AdobeFlash-10-Lizenz installieren darf, sonst verweigert er die Installation solcher Pakete. Nachdem ich das änderte, konnte ich das Programm ohne Probleme installieren.

Ich befürchte aber, das ist nicht genau das, was du wissen wolltest. Schau dir vielleicht auch mal "man emerge" oder frag' nochmal.

3

20.06.2010, 20:46

Jo, das ist relativ neu, du wirst für diese Adobe Software nun erst die Lizenz akzeptieren müssen um sie nutzen zu dürfen.
Und die Warnung von portage ist schon in Ordnung, es wird eben bemängelt das schon eine Software installiert ist dessen Lizenz noch nicht akzeptiert wurde, daher ist das Paket nun erst mal

Zitat

(masked by: AdobeFlash-10 license(s))

Lange Rede kurzer Sinn, du wirst die Lizenz akzeptieren müssen um diese Software weiterhin nutzen zu können, in diesem fall zb via

Quellcode

1
# echo "www-plugins/adobe-flash AdobeFlash-10" >> /etc/portage/package.license


Weitere Info hierzu findet sich zb im gentoo Handbuch

4

20.06.2010, 20:48

hmm wie sag ich jetzt portage das ich die lizenz akzepiere ?

und wieso das ganze ? ... beim ersten install war das ja auch nicht ?

hmm
''''''''''''''''''''''''''''''''''''''''''''''''
Gentoo-Linux
der G-Punkt eines Pc´s

''''''''''''''''''''''''''''''''''''''''''''''''

5

20.06.2010, 20:52

Hast du meinen letzten Beitrag übersehen?

6

20.06.2010, 21:13

ne ne josef .. aber ab das beim abschicken erst deinen post gesehen ....
''''''''''''''''''''''''''''''''''''''''''''''''
Gentoo-Linux
der G-Punkt eines Pc´s

''''''''''''''''''''''''''''''''''''''''''''''''

7

20.06.2010, 22:18

@Josef
1x weggucken ;-)

Oder du setzt in der /etc/make.conf

Quellcode

1
ACCEPT_LICENSE="*"
und kriegst nie wieder eine Nachricht.

8

20.06.2010, 23:26

Oder Du wählst Dir Deine Methode selber aus, wie Du es handhaben möchtest.
http://www.gentoofreunde.org/node/129